Get dossiers in collection
curl --request POST \
--url https://rest.forestreet.com/v2/collections/{collectionId}/dossiers \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"filters": {
"agentIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"agentTypes": [],
"query": "<string>",
"createdBy": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"sort": [
{}
]
}
'import requests
url = "https://rest.forestreet.com/v2/collections/{collectionId}/dossiers"
payload = {
"filters": {
"agentIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"agentTypes": [],
"query": "<string>",
"createdBy": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"sort": [{}]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
agentIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
agentTypes: [],
query: '<string>',
createdBy: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
sort: [{}]
})
};
fetch('https://rest.forestreet.com/v2/collections/{collectionId}/dossiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"pagination": {
"totalItems": 123,
"totalPages": 13,
"currentPage": 1,
"pageSize": 10,
"unfilteredTotalItems": 196,
"unfilteredTotalPages": 20
},
"filters": {
"agentIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"agentTypes": [],
"query": "<string>",
"createdBy": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"sort": [
{}
]
},
"data": [
{
"agentId": "<string>",
"query": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastModifiedAt": "<string>",
"lastTaskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastTaskStatus": {
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"lastReportedAt": "<string>",
"lastReportedBy": "<string>",
"agentId": "<string>",
"success": true
},
"createdAt": "<string>"
}
]
}{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request - Invalid input parameters"
}{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have permission to list dossiers in this collection"
}Supplier Dossier
Get dossiers in collection
Retrieve dossiers associated with a specific collection with optional filtering and pagination
POST
/
v2
/
collections
/
{collectionId}
/
dossiers
Get dossiers in collection
Authorizations
apiKeyAuthbearerAuthsessionIdQuery
Pass a static API key for every request, provided by your customer support.
Path Parameters
The collection ID to which the new dossier belongs.
Body
application/json
⌘I